# Debug (from dummy sandbox)

Let's first make a dummy sandbox:

```sh
mkdir -p /tmp/dummy_sandbox
ln -s $(pwd)/test.py /tmp/dummy_sandbox
```

Let's set a breakpoing at the print line in the **original** `test.py`

Now let's debug with debugpy:
```sh
python3 -m debugpy --listen localhost:5678 --wait-for-client /tmp/dummy_sandbox/test.py
```

Option 1:
* Attach using "Python: Attach"
* The breakpoint will trigger in a copy of test.py -> no path is shown below the tab title.

Option 2:
* Attach using "Python: Attach w/o pathmapping"
* The breakpoint will trigger in a copy of test.py -> symlink path is shown below the tab title.


Now let's debug with ptvsd:

```sh
python3 -m ptvsd --host localhost --port 5678 --wait /tmp/dummy_sandbox/test.py
```

Option 1:
* Attach using "Python: Attach"
* The breakpoint will trigger in the **original** test.py

Option 2:
* Attach using "Python: Attach w/o pathmapping"
* The breakpoint will trigger in a copy of test.py -> symlink path is shown below the tab title.
